[This is preliminary documentation and subject to change.]

Returns a Payload for the given ID and request parameters.


Namespace: MediaMallTechnologies.Plugin
Assembly: Util (in Util.dll)

Syntax

Visual Basic (Declaration)
Function GetSharedMedia( _ 
   ByVal id As String,  _ 
   ByVal includeChildren As Boolean,  _ 
   ByVal startIndex As Integer,  _ 
   ByVal requestCount As Integer _ 
) As Payload
C#
Payload GetSharedMedia(
   string id,
   bool includeChildren,
   int startIndex,
   int requestCount
)
C++
Payload GetSharedMedia(
   String id,
   bool includeChildren,
   int startIndex,
   int requestCount
) abstract 
J#
Payload GetSharedMedia(
   string id,
   bool includeChildren,
   int startIndex,
   int requestCount
)
JScript
function GetSharedMedia(
   id : String,
   includeChildren : bool,
   startIndex : int,
   requestCount : int
) : Payload

Parameters

id
The ID requested, as provided from a previous GetSharedMedia query.
includeChildren
Indicator whether children items should be included in the Payload.
startIndex
The starting index for items that should be included in the Payload.
requestCount
The total maximum count of items to be returned in the Payload.

Return Value

A Payload object that matches the requested query.

Remarks

This method is the main function for returning hierarchical metadata for folders and items. The Payload object that is returned must contain the appropriate metadata result from the query itself, as well as any potential SharedMediaFileInfo and SharedMediaFolderInfo objects.

See Also